BST-ARTIFACT-SERVER(1)

NAME
bst-artifact-server - CAS Artifact Server

SYNOPSIS
bst-artifact-server [OPTIONS] REPO

OPTIONS

-p, --port INTEGER
    Port number [required]

--server-key TEXT
    Private server key for TLS (PEM-encoded)

--server-cert TEXT
    Public server certificate for TLS (PEM-encoded)

--client-certs TEXT
    Public client certificates for TLS (PEM-encoded)

--enable-push
    Allow clients to upload blobs and update artifact cache

--quota INTEGER
    Maximum disk usage in bytes [default: 10000000000.0]

--index-only
    Only provide the BuildStream artifact and source services ("index"), not the CAS ("storage")

--log-level [warning|info|trace]
    The log level to launch with